Get Holdout results as a CSV
1 min
GET
https://api.optimizely.com/v2/export/projects/{project_id}/holdouts/{holdout_id}/results/csv
project_idinteger<int64>The ID for the Project where the Holdout is located
holdout_idinteger<int64>The ID for the Holdout you want results for
browserstring<p>Browser to segment results by. This parameter must not be sent with any other segmentation parameters, i.e. any parameters in [device, source, attribute_id, attribute_value].</p>
devicestring<p>Device to segment results by. This parameter must not be sent with any other segmentation parameters, i.e. any parameters in [browser, source, attribute_id, attribute_value].</p>
sourcestring<p>Source to segment results by. This parameter must not be sent with any other segmentation parameters, i.e. any parameters in [browser, device, attribute_id, attribute_value].
Campaign: Contains users that arrive on a URL containing a 'utm_campaign,' 'utm_source,' 'gclid,' or 'otm_source' query parameter. If the URL contains one of these parameters, the visitor will count as "Campaign" traffic even if they arrived through search.
Direct: Includes all users who do not have any external referrer in their URL.
Referral: Includes all users that come from another URL that doesn't count as Campaign.</p>
attribute_idinteger<int64><p>ID of the attribute to segment results by. Requests containing attribute_id will return the results for all visitors that have attribute_value for the attribute represented by attribute_id. If present, the attribute_value parameter must also be present, and it cannot be sent with any other segmentation parameters, i.e. any parameters in [browser, device, source].</p>
attribute_valuestring<p>UTF-8 encoded value correlating to attribute_id. If present, the attribute_id parameter must also be present. This parameter also requires attribute_id to be set, and cannot be sent with any other segmentation parameters, i.e. any parameters in [browser, device, source].</p>
segment_conditionsstring<p>(BETA) A string representation of a JSON Segment Conditions Expression. This parameter can be either URL-escaped stringified JSON or Base64-encoded stringified JSON using URL-safe alphabet (preferred).
Segment Conditions Expressions consist of Logical Expressions and Match Expressions.
Logical Expressions are represented as an array of the format [, ...], where the supported operators are "and", "or" and "not".
Match Expressions are represented as an object of the format {"attribute_id": <attribute_id>, "attribute_value": [, "match_type": <match_type>]}, where supported values for match_type are "exact" match type will match only an exact string match between "value" string and the attribute value. "substring" match type will match if "value" is a substring of the attribute value. "prefix" match type will match if "value" is a string prefix of the attribute value. "regex" match type will match if "value" is a regular expression match for the attribute value. The default match_type is "exact".</p>
acceptstringGenerated from available response content types
200Return Holdout results in CSV format
202The results request has been received but has not yet finished processing. Wait a bit and try again.
204There are no results data for this Holdout yet.
defaultUnexpected error
curl --request GET \
--url https://api.optimizely.com/v2/export/projects/{project_id}/holdouts/{holdout_id}/results/csv \
--header 'accept: text/csv'